using System;
using System.Reflection.Emit;

internal sealed class Delegate870 : MulticastDelegate
{
	public extern void Invoke(object object_0, OpCode opCode_0, sbyte sbyte_0);

	public static void smethod_0(object object_0, OpCode opCode_0, sbyte sbyte_0, Delegate870 delegate870_1)
	{
		delegate870_1(object_0, opCode_0, sbyte_0);
	}

	public extern Delegate870(object object_0, IntPtr intptr_0);

	static Delegate870()
	{
		Class10.smethod_13(typeof(Delegate870).TypeHandle);
	}

	internal static Delegate870 delegate870_0;
}
